Transcript LOL API
GET
/spaces/{spaceId}/recordings/{recordingId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId*string

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://transcript.lol/api/v1/spaces/string/recordings/string"
{
  "transcript": {
    "speakerAssignments": [
      {
        "speakerIndex": 0,
        "speakerId": "string"
      }
    ],
    "id": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "transcriptForId": "string",
    "language": "bg",
    "status": "NOT_STARTED",
    "unPaidMinutes": 0,
    "queuedAt": "string",
    "completedAt": "string"
  },
  "audioFile": {
    "id": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "mimeType": "string",
    "type": "string",
    "size": 0,
    "publicUrl": "string",
    "publicUrlExpiry": "string",
    "workspaceId": "string"
  },
  "originalFile": {
    "id": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "mimeType": "string",
    "type": "string",
    "size": 0,
    "publicUrl": "string",
    "publicUrlExpiry": "string",
    "workspaceId": "string"
  },
  "webhooks": [
    {
      "event": "TRANSCRIPT_CREATED",
      "workspaceId": "string",
      "createdById": "string",
      "url": "string"
    }
  ]
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}